ru.bitel.oss.systems.inventory.service.common.bean

## Class ServiceSpec

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
      - - ru.bitel.oss.kernel.entity.common.bean.Entity
        - - ru.bitel.oss.systems.inventory.service.common.bean.ServiceSpec

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, Node<ServiceSpec>, TreeNode<ServiceSpec>

      public class ServiceSpec
      extends Entity
      implements Node<ServiceSpec>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `entitySpecId`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceSpec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ServiceSpec>` | `getChildren()`
    `java.lang.String` | `getComment()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getIdentifier()`
    `int` | `getModuleId()`
    `int` | `getParentId()`
    `void` | `setChildren(java.util.List<ServiceSpec> children)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setIdentifier(java.lang.String name)`
    `void` | `setModuleId(int moduleId)`
    `void` | `setParentId(int parentId)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

      `getEntityId, getEntityTitle, setEntityId, setEntityTitle`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

      `getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ServiceSpec

          public ServiceSpec()

  - ### Method Detail

    - #### getParentId

          public int getParentId()

      Specified by:
        `getParentId` in interface `Node<ServiceSpec>`

    - #### setParentId

          public void setParentId(int parentId)

    - #### getChildren

          public java.util.List<ServiceSpec> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<ServiceSpec>`

    - #### setChildren

          public void setChildren(java.util.List<ServiceSpec> children)

      Specified by:
        `setChildren` in interface `Node<ServiceSpec>`

    - #### getModuleId

          public int getModuleId()

    - #### setModuleId

          public void setModuleId(int moduleId)

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### setIdentifier

          public void setIdentifier(java.lang.String name)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)